export default createContext;
/**
 * Create a context object
 * @param {import("./types.js").PexContextOptions & import("pex-gl").Options} [options]
 * @returns {ctx}
 */
declare function createContext(options?: import("./types.js").PexContextOptions & import("pex-gl").Options): {
    /**
     * The `RenderingContext` returned by `pex-gl`
     * @memberof ctx
     */
    gl: RenderingContext;
    /**
     * Max capabilities and extensions availability. See {@link #capabilitiesTable|Capabilities Table}.
     * @memberof ctx
     */
    capabilities: {
        isWebGL2: boolean;
        maxColorAttachments: number;
        maxTextureImageUnits: any;
        maxVertexTextureImageUnits: any;
        maxVertexAttribs: any;
        maxTextureSize: any;
        maxCubeMapTextureSize: any;
        depthTexture: boolean;
        shaderTextureLod: boolean;
        textureFloat: boolean;
        textureFloatLinear: boolean;
        textureHalfFloat: boolean;
        textureHalfFloatLinear: boolean;
        textureFilterAnisotropic: boolean;
        disjointTimerQuery: boolean;
        colorBufferFloat: boolean;
        colorBufferHalfFloat: boolean;
    };
    /**
     * Getter for `gl.drawingBufferWidth`
     * @memberof ctx
     */
    readonly width: any;
    /**
     * Getter for `gl.drawingBufferHeight`
     * @memberof ctx
     */
    readonly height: any;
};
