export default createRenderbuffer;
export type RenderbufferOptions = import("./types.js").PexResource;
/**
 * @typedef {import("./types.js").PexResource} RenderbufferOptions
 * @property {number} width
 * @property {number} height
 * @property {ctx.PixelFormat} [pixelFormat=ctx.PixelFormat.DEPTH_COMPONENT16] only `PixelFormat.DEPTH_COMPONENT16` is currently supported for use as render pass depth storage (e.g. `ctx.pass({ depth: renderbuffer })`) for platforms with no `WEBGL_depth_texture` support.
 */
declare function createRenderbuffer(ctx: any, opts: any): {
    class: string;
    handle: any;
    target: any;
    width: number;
    height: number;
    _update: typeof updateRenderbuffer;
    _dispose(): void;
};
declare function updateRenderbuffer(ctx: any, renderbuffer: any, opts: any): void;
